package com.foreverwin.mesnac.common.mapper;

import com.foreverwin.mesnac.common.dto.LabelPrintDto;
import com.foreverwin.mesnac.common.model.PrintLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-07-16
 */
@Repository
public interface PrintLogMapper extends BaseMapper<PrintLog> {

    /**
     * 条件查询标签打印所有数据
     * @param printLog
     * @return
     */
    List<PrintLog> getPrintLogListByCondition(PrintLog printLog);

    LabelPrintDto findSfcPrintInfoBySfc(@Param("sfc") String sfc, @Param("site") String site);

}