package com.foreverwin.mesnac.common.service;


import com.foreverwin.mesnac.common.model.CustomReportConfig;

import java.util.List;
import java.util.Map;

/**  
 * 
 * @Title:  CustomReportInterface.java   
 * @Package com.knsdev.service   
 * @Description: 自定义报表 接口  
 * @author: Andy    
 * @date:   2020年10月15日 下午1:20:01   
 * @version V1.0 
 *
 * @History 操作记录
 * 2020年10月15日 下午1:20:01 Andy add
 *
 */
public interface CustomReportInterface {
	
 
    /**
	 * 查询
	 * @param site
	 * @param reportid 报表作业编号 
	 * @return
	 * @throws Exception
	 */
    CustomReportConfig Load(String site, String reportid) throws Exception;
	
	/**
	 * 查询
	 * @param condition
	 * @return
	 * @throws Exception
	 */
	List<Map<String,Object>> Query(String condition) throws Exception;
}
