package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.dto.RouterStepDto;
import com.foreverwin.mesnac.meapi.model.RouterStep;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
@Repository
public interface RouterStepMapper extends BaseMapper<RouterStep> {

    List<RouterStepDto> findRouterOperationByRouterBo(@Param("site") String site, @Param("routerBo") String routerBO, @Param("locale")String locale);
}