package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.RouterStepDto;
import com.foreverwin.mesnac.meapi.model.RouterStep;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
public interface RouterStepService extends IService<RouterStep> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<RouterStep> selectPage(FrontPage<RouterStep> frontPage, RouterStep routerStep);

    List<RouterStep> selectList(RouterStep routerStep);

    List<RouterStepDto> findRouterOperationByRouterBo(String site, String handle);
}