package com.foreverwin.mesnac.production.mapper;

import com.foreverwin.mesnac.production.dto.WorkShopTransferDto;
import com.foreverwin.mesnac.production.model.WorkShopTransfer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 车间转移记录 Mapper 接口
 * </p>
 *
 * @author Philip
 * @since 2021-08-23
 */
@Repository
public interface WorkShopTransferMapper extends BaseMapper<WorkShopTransfer> {

    List<WorkShopTransferDto> getOutList(@Param("site") String site, @Param("workCenter") String workCenter, @Param("transferWorkCenter") String transferWorkCenter, @Param("operation") String operation, @Param("status") String status, @Param("sfc") String sfc, @Param("stepId")String stepId);

    WorkShopTransferDto getSfcData(@Param("site") String site,@Param("sfc") String sfc);

    List<WorkShopTransferDto> getInList(@Param("site") String site, @Param("workCenter") String workCenter,@Param("transferWorkCenter")  String transferWorkCenter, @Param("transferNo") String transferNo, @Param("status") String status,@Param("sfc") String sfc);


}