package com.foreverwin.mesnac.anomaly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import com.foreverwin.mesnac.anomaly.model.AbnormalBillLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 异常单记录表 Mapper 接口
 * </p>
 *
 * @author zjw
 * @since 2021-08-12
 */
@Repository
public interface AbnormalBillLogMapper extends BaseMapper<AbnormalBillLog> {

    AbnormalBillLog findAllByAbnormalNo(@Param("abnormalBill") AbnormalBill abnormalBill);
}