package com.foreverwin.mesnac.anomaly.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.foreverwin.mesnac.anomaly.dto.PartsManufacturing;
import com.foreverwin.mesnac.integration.model.IntegrationLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author zhaojiawei
 * @Since 2021-08-23
 */
@Repository
public interface ReportMapper {

    List<Map<String,Object>> findIntegrationLog(@Param("integration") IntegrationLog integration);

    List<Map<String, Object>> partsManufacturing(@Param("site")String site,@Param("locale")String locale, @Param("partsManufacturing") PartsManufacturing partsManufacturing);

    List<Map<String,Object>> surplusReturnTable(@Param("site")String site, @Param("locale")String locale,
                                           @Param("item")String item, @Param("itemDescription")String itemDescription);

    List<Map<String,Object>> resourceRepair(@Param("site")String site, @Param("locale")String locale,
                                                @Param("param")Map<String, Object> map);


    List<Map<String, Object>> findInspectionTask(Map paramMap);
}
