package com.foreverwin.mesnac.common.service.impl;

import com.foreverwin.mesnac.common.mapper.ReportDataMapper;
import com.foreverwin.mesnac.common.service.ReportDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service
@Transactional(rollbackFor = Exception.class)
public class ReportDataServiceImpl implements ReportDataService{

    @Autowired
    private ReportDataMapper reportDataMapper;

    @Override
    public List<Map<String, Object>> findInspectionTask(Map paramMap) {
        return reportDataMapper.findInspectionTask(paramMap);
    }

    @Override
    public List<Map<String, Object>> findResourceLoadRateInfo(Map paramMap) {
        return reportDataMapper.findResourceLoadRateInfo(paramMap);
    }

    @Override
    public List<Map<String, Object>> findResourceRepairDataStatInfo(Map paramMap) {
        return reportDataMapper.findResourceRepairDataStatInfo(paramMap);
    }

    @Override
    public List<Map<String, Object>> findProductStateInfo(Map paramMap) {
        return reportDataMapper.findProductStateInfo(paramMap);
    }
}
