package com.foreverwin.mesnac.listener.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.dto.UsrDto;
import com.foreverwin.mesnac.listener.model.SysUser;
import com.foreverwin.mesnac.listener.model.Usr;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author sungang
 * @since 2020-10-16
 */
@Repository
public interface UsrMapper extends BaseMapper<Usr> {
    List<SysUser> selectListForPd(@Param("site") String site);

    /*List<Usr> userList(Usr user);*/
    List<UsrDto> findList(@Param("site")String site,@Param("user")String user);

    IPage findPage(IPage page,@Param("site")String site,@Param("user")String user);

}