package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.NcGroup;
import com.foreverwin.mesnac.meapi.model.Operation;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-06-23
 */
@Repository
public interface NcGroupMapper extends BaseMapper<NcGroup> {


    List<NcGroup> findNgGroupByOperationBo(@Param("operation") Operation operation);

    List<NcGroup> selectPageByOperation(@Param("site") String site, @Param("operationBO") String operationBO, @Param("ncGroup") String ncGroup);
}